Package org.springframework.scheduling.config

# Interface ScheduledTaskHolder

All Known Implementing Classes:
  `ContextLifecycleScheduledTaskRegistrar`, `ScheduledAnnotationBeanPostProcessor`, `ScheduledTaskRegistrar`

public interface ScheduledTaskHolder
Common interface for exposing locally scheduled tasks.

Since:
  5.0.2
Author:
  Juergen Hoeller
See Also:
  - `ScheduledTaskRegistrar`
  - `ScheduledAnnotationBeanPostProcessor`

## Method Summary

Modifier and Type
Method
Description
`Set<ScheduledTask>`
`getScheduledTasks()`
Return an overview of the tasks that have been scheduled by this instance.

## Method Details

### getScheduledTasks

Set<ScheduledTask> getScheduledTasks()
Return an overview of the tasks that have been scheduled by this instance.